import java.io.File;
import java.util.ArrayList;
import java.util.Scanner;

public class Assign8 {
	public static void main(String [] args) {
		try{
			String levelName = null;
			Map baseMap = new Map();
			ArrayList<Monster> m = new ArrayList<>();
			
			//Get user input for file
			Scanner input = new Scanner(System.in);
			System.out.print("Which level would you like to load: ");
			levelName = input.nextLine();
			input.close();
			
			//create file scanner and send off to have map filled
			Scanner mapScanner = new Scanner(new File("Map" + levelName + ".txt"));
			baseMap.load(mapScanner);
			
			//create file scanner and read from monster file
			Scanner inputMonsters = new Scanner(new File("Monsters" + levelName + ".txt"));
			//number of monsters to be read
			int i = inputMonsters.nextInt();
			
			for(int j=0;j<i;j++){
				Monster monster = null;
				//read name
				String name = inputMonsters.next().trim();
				
				//create instance of each type
				if(name.equals("Orc")){
					monster = new Orc();
				}
				else if(name.equals("Spider")){
					monster = new Spider();
				}
				
				//if not null get monster info and add to ArrayList
				if(monster != null){
					monster.load(inputMonsters);
					m.add(monster);
				}
			}
			
			//add the monster symbol to the map in the x,y pos
			for(Monster item: m){
				item.drawToMap(baseMap);
			}
			
			//draw map
			baseMap.draw();
		}
		catch(Exception e){
			System.out.println("Game Error.");
			e.printStackTrace();
		}
	}
}
